searchNodes=[{"doc":"A module to decode/encode xml into a tree structure. The aim of this parser is to be able to represent any xml document as a tree-like structure, but be able to put it back together in a sane way. In comparison to other xml parsers, this one preserves broken stuff. The goal is to be able to decode the typical broken html document, modify it, and encode it again, without loosing too much of its original content. Currently the parser preserves whitespace between &lt;xml&gt; nodes, so &lt;pre&gt; or &lt;textarea&gt; tags should be unaffected, by a decode/1 into encode/1. The only part where the parser tidies up, is the attr=&quot;part&quot; of a &lt;xml attr=&quot;part&quot;&gt; node. With well-formed XML, the parser does work really well.","ref":"Exoml.html","title":"Exoml","type":"module"},{"doc":"Returns a tree representation from the given xml string. Examples iex&gt; Exoml.decode(&quot;&lt;tag foo=bar&gt;some text&lt;self closing /&gt;&lt;/tag&gt;&quot;) {:root, [], [{&quot;tag&quot;, [{&quot;foo&quot;, &quot;bar&quot;}], [&quot;some text&quot;, {&quot;self&quot;, [{&quot;closing&quot;, &quot;closing&quot;}], nil}]}]} iex&gt; Exoml.decode(&quot;what, this is not xml&quot;) {:root, [], [&quot;what, this is not xml&quot;]} iex&gt; Exoml.decode(&quot;Well, it renders &lt;b&gt;in the browser&lt;/b&gt;&quot;) {:root, [], [&quot;Well, it renders &quot;, {&quot;b&quot;, [], [&quot;in the browser&quot;]}]} iex&gt; Exoml.decode(&quot;&quot;) {:root, [], []}","ref":"Exoml.html#decode/1","title":"Exoml.decode/1","type":"function"},{"doc":"","ref":"Exoml.html#decode/2","title":"Exoml.decode/2","type":"function"},{"doc":"Returns a string representation from the given xml tree Note when encoding a previously decoded xml document: Exoml does not perfectly preserve everything from a decoded xml document. In general, it preserves just well enough, but don&#39;t expect a 1-1 conversion. Examples iex&gt; xml = ~s&#39;&lt;tag foo=&quot;bar&quot;&gt;some text&lt;/tag&gt;&#39; iex&gt; ^xml = Exoml.encode(Exoml.decode(xml)) &quot;&lt;tag foo=&quot;bar&quot;&gt;some text&lt;/tag&gt;&quot;","ref":"Exoml.html#encode/1","title":"Exoml.encode/1","type":"function"},{"doc":"","ref":"Exoml.html#t:attr/0","title":"Exoml.attr/0","type":"type"},{"doc":"","ref":"Exoml.html#t:attr_list/0","title":"Exoml.attr_list/0","type":"type"},{"doc":"","ref":"Exoml.html#t:opts/0","title":"Exoml.opts/0","type":"type"},{"doc":"","ref":"Exoml.html#t:xmlnode/0","title":"Exoml.xmlnode/0","type":"type"},{"doc":"","ref":"Exoml.html#t:xmlnode_list/0","title":"Exoml.xmlnode_list/0","type":"type"},{"doc":"","ref":"Exoml.html#t:xmlroot/0","title":"Exoml.xmlroot/0","type":"type"},{"doc":"","ref":"Exoml.Decoder.html","title":"Exoml.Decoder","type":"module"},{"doc":"","ref":"Exoml.Decoder.html#attrs/1","title":"Exoml.Decoder.attrs/1","type":"function"},{"doc":"","ref":"Exoml.Decoder.html#decode/1","title":"Exoml.Decoder.decode/1","type":"function"},{"doc":"","ref":"Exoml.Decoder.html#tag/1","title":"Exoml.Decoder.tag/1","type":"function"},{"doc":"","ref":"Exoml.Encoder.html","title":"Exoml.Encoder","type":"module"},{"doc":"","ref":"Exoml.Encoder.html#encode/1","title":"Exoml.Encoder.encode/1","type":"function"}]